package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderPackageTypeEnum {

    UNDEFINED(-1,"未定义"),
    PLATE(0,"板材"),
    PARTS(1,"配件"),
    OTHER_ACCESSORIES(2,"其他配件");
    private Integer type;
    private String description;

    public boolean equals(Integer type) {
        return this.type .equals(type) ;
    }

    public boolean equals(OrderPackageTypeEnum enableTypeEnum) {
        return enableTypeEnum != null && enableTypeEnum.type .equals(this.getType()) ;
    }


}
